%define name nihongobenkyo
%define version 0.3.1
%define release %mkrel 1

Summary: Japanese dictionary and learning tool
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://nihongobenkyo.rubyforge.org/
Source0: http://rubyforge.org/frs/download.php/746/%{name}-%{version}.tar.bz2
License: GPL
Group: Databases
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: ruby >= 1.8 ruby-gettext >= 0.6.1
Requires: ruby-libglade2 ruby-gconf2 ruby-gtk2 >= 0.12.0 ruby-sqlite3 intltool
BuildRequires: ruby-devel libxml2-devel glib2-devel sqlite3-devel
# For icon
BuildRequires: ImageMagick
BuildRequires: desktop-file-utils

%description
Nihongo Benkyo is a japanese dictionary and learning tool.

 * Imports JMDict, a word dictionary with a lot of interesting metadata.
 * Imports JMnedict, a proper name dictionary.
 * Imports EDICT, a format in which you can find many specialized
   dictionaries (science, computing, etc).
 * Imports Kanjidic2, a kanji dictionary with over 10,000 entries.
 * Finds words from Japanese (kanji, kana, romaji) or from a translation.
 * Lists results in a table for quick overview.
 * Shows further details about a selected result (part of speech, similar
   words, dialect...).
 * Scans selection from other applications.
 * Keeps an history of searched words so you can go back and go forward easily.
 * Has its interface translated into bulgarian, english, french, japanese
   and spanish.

%prep
%setup -q

%build
ruby setup.rb config
ruby setup.rb setup

%install
rm -rf %buildroot
ruby setup.rb install --prefix=%buildroot

%find_lang %name --all-name 

#menu
install -m 755 -d %buildroot%{_menudir}
cat << EOF > %buildroot%{_menudir}/%{name}
?package(%name): needs="x11" \
        section="Office/Accessories" \
        title="Nihongo Benkyo" \
	icon="%{name}.png" \
        longtitle="Japanese dictionary and learning tool" \
        command="%{_bindir}/%{name}" \
	xdg="true"
EOF
install -m 755 -d %buildroot%{_datadir}/applications/
cp -a %{name}.desktop %buildroot%{_datadir}/applications/
desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icon
install -m 755 -d %buildroot{%{_miconsdir},%{_liconsdir}}
convert data/nihongobenkyo/icons/nihongobenkyo.svg -geometry 48x48 %{buildroot}%{_liconsdir}/%{name}.png
convert data/nihongobenkyo/icons/nihongobenkyo.svg -geometry 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert data/nihongobenkyo/icons/nihongobenkyo.svg -geometry 16x16 %{buildroot}%{_miconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%{_bindir}/*
%{ruby_sitelibdir}/%{name}*
%attr(0755,root,root) %{ruby_sitearchdir}/%{name}*
%{_datadir}/%{name}
%{_menudir}/%name
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%doc AUTHORS COPYRIGHT README VERSION COPYING Changelog NEWS TODO 


%changelog
* Fri Jan 19 2007 Pascal Terjan <pterjan@mandriva.org> 0.3.1-1mdv2007.0
+ Revision: 110636
- BuildREquires desktop-file-utils
- fix .so permission
- XDG menu
- 0.3.1
- mkrel
- use std ruby macros
- Import nihongobenkyo



* Sun Dec 04 2005 Pascal Terjan <pterjan@mandriva.org> 0.3-1mdk
- 0.3
- no longer noarch

* Fri Sep 02 2005 Pascal Terjan <pterjan@mandriva.org> 0.2-1mdk
- 0.2

* Fri Jul 01 2005 Pascal Terjan <pterjan@mandriva.org> 0.1-2mdk
- fix summary

* Fri Jul 01 2005 Pascal Terjan <pterjan@mandriva.org> 0.1-1mdk
- first Mandriva release
